Bug 231033 - [PATCH] net-p2p/libbt: update to 1.0.6
Summary: [PATCH] net-p2p/libbt: update to 1.0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-08-30 19:13 UTC by Vinícius Zavam
Modified: 2018-09-01 19:33 UTC (History)
3 users (show)

See Also:
egypcio: maintainer-feedback+


Attachments
[PATCH] net-p2p/libbt: update to 1.0.6 (3.84 KB, patch)
2018-08-30 19:13 UTC, Vinícius Zavam
no flags Details | Diff
Update (4.78 KB, patch)
2018-08-31 02:29 UTC, Nathan
no flags Details | Diff
Update ; Remove cflags in place of uses=localbase (4.79 KB, patch)
2018-09-01 16:18 UTC, Nathan
ndowens04: maintainer-approval? (egypcio)
Details | Diff
[PATCH] net-p2p/libbt: update to 1.0.6, reviewed (5.20 KB, patch)
2018-09-01 17:05 UTC, Vinícius Zavam
no flags Details | Diff
[LOG/10] net-p2p/libbt: update to 1.0.6, reviewed (40.45 KB, text/plain)
2018-09-01 17:06 UTC, Vinícius Zavam
no flags Details
[LOG/11] net-p2p/libbt: update to 1.0.6, reviewed (41.34 KB, text/plain)
2018-09-01 17:06 UTC, Vinícius Zavam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2018-08-30 19:13:03 UTC
Created attachment 196717 [details]
[PATCH] net-p2p/libbt: update to 1.0.6

Also would like to adopt this one; changed MAINTAINER.
Comment 1 Nathan 2018-08-31 02:29:21 UTC
Created attachment 196728 [details]
Update
Comment 2 Vinícius Zavam freebsd_committer 2018-09-01 15:56:04 UTC
(In reply to Nathan from comment #1)

nice! thanks for the diff; that would be the next patch I planned to get into this port. appreciated!
Comment 3 Yuri Victorovich freebsd_committer 2018-09-01 16:05:23 UTC
Nathan,

The patched fail to apply:
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to include/util.h.rej
=> FreeBSD patch patch-include__util.h failed to apply cleanly.

Yuri
Comment 4 Nathan 2018-09-01 16:12:40 UTC
(In reply to Yuri Victorovich from comment #3)
Worked fine for me on clean copy of ports tree. About to upload a new one that I edited a bit more
Comment 5 Nathan 2018-09-01 16:18:35 UTC
Created attachment 196766 [details]
Update ; Remove cflags in place of uses=localbase
Comment 6 Yuri Victorovich freebsd_committer 2018-09-01 16:24:17 UTC
This chunk gets rejected:
@@ -4,7 +4,7 @@
 #include <string.h>
 #include <stdlib.h>
 #include <unistd.h>
-
+#include <limits.h>
 #include <arpa/inet.h>

 #include "udpproto.h"
Comment 7 Nathan 2018-09-01 16:25:37 UTC
(In reply to Yuri Victorovich from comment #6)
How are you applying it. I started from clean and downloaded patch from here and no error
Comment 8 Yuri Victorovich freebsd_committer 2018-09-01 16:29:39 UTC
Running this script:

$ cat run.sh 
svn revert -R net-p2p/libbt
svn update net-p2p/libbt
patch -B '' -p 0 < libbt.patch
cd net-p2p/libbt
make

$ sh run.sh 
Updating 'net-p2p/libbt':
At revision 478710.
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: net-p2p/libbt/Makefile
|===================================================================
|--- net-p2p/libbt/Makefile	(revision 478671)
|+++ net-p2p/libbt/Makefile	(working copy)
--------------------------
Patching file net-p2p/libbt/Makefile using Plan A...
Hunk #1 succeeded at 2 with fuzz 1.
Hunk #2 succeeded at 31.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: net-p2p/libbt/distinfo
|===================================================================
|--- net-p2p/libbt/distinfo	(revision 478671)
|+++ net-p2p/libbt/distinfo	(working copy)
--------------------------
Patching file net-p2p/libbt/distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: net-p2p/libbt/files/patch-include__util.h
|===================================================================
|--- net-p2p/libbt/files/patch-include__util.h	(revision 478671)
|+++ net-p2p/libbt/files/patch-include__util.h	(working copy)
--------------------------
Patching file net-p2p/libbt/files/patch-include__util.h using Plan A...
Hunk #1 succeeded at 1.
Hunk #2 succeeded at 7.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: net-p2p/libbt/files/patch-src__udpproto.c
|===================================================================
|--- net-p2p/libbt/files/patch-src__udpproto.c	(nonexistent)
|+++ net-p2p/libbt/files/patch-src__udpproto.c	(working copy)
--------------------------
Patching file net-p2p/libbt/files/patch-src__udpproto.c using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|Property changes on: net-p2p/libbt/files/patch-src__udpproto.c
|___________________________________________________________________
|Added: fbsd:nokeywords
|## -0,0 +1 ##
|+yes
|\ No newline at end of property
|Added: svn:eol-style
|## -0,0 +1 ##
|+native
|\ No newline at end of property
|Added: svn:mime-type
|## -0,0 +1 ##
|+text/plain
|\ No newline at end of property
|Index: net-p2p/libbt/pkg-plist
|===================================================================
|--- net-p2p/libbt/pkg-plist	(revision 478671)
|+++ net-p2p/libbt/pkg-plist	(working copy)
--------------------------
Patching file net-p2p/libbt/pkg-plist using Plan A...
Hunk #1 succeeded at 6.
done
===>  License GPLv2 LGPL21 accepted by the user
===>   libbt-1.06 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by libbt-1.06 for building
===>  Extracting for libbt-1.06
=> SHA256 Checksum OK for libbt-1.06.tar.gz.
===>  Patching for libbt-1.06
===>  Applying FreeBSD patches for libbt-1.06
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to src/udpproto.c.rej
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to src/udpproto.c.rej
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to src/udpproto.c.rej
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to src/udpproto.c.rej
=> FreeBSD patch patch-src__udpproto.c failed to apply cleanly.
=> Patch(es)  patch-include__util.h patch-src__peer.c applied cleanly.
*** Error code 1
Comment 9 Nathan 2018-09-01 16:30:55 UTC
(In reply to Yuri Victorovich from comment #8)
Try svn patch in root of ports
Comment 10 Yuri Victorovich freebsd_committer 2018-09-01 16:31:05 UTC
Ah sorry,

I had a stray patch there.

Never mind!

Yuri
Comment 11 Yuri Victorovich freebsd_committer 2018-09-01 16:31:46 UTC
Now it says:
Warning: you need LIB_DEPENDS+=libuuid.so:misc/e2fsprogs-libuuid

You need to add it.
Comment 12 Vinícius Zavam freebsd_committer 2018-09-01 16:43:16 UTC
(In reply to Yuri Victorovich from comment #11)

You just got that before I patch it here; hehe. I am working on it though.
Soon I will send the new version. TYVM!

Thank you too Nathan.

It was also failing to build on '10'.

BR,
Comment 13 Vinícius Zavam freebsd_committer 2018-09-01 17:05:45 UTC
Created attachment 196768 [details]
[PATCH] net-p2p/libbt: update to 1.0.6, reviewed
Comment 14 Vinícius Zavam freebsd_committer 2018-09-01 17:06:33 UTC
Created attachment 196769 [details]
[LOG/10] net-p2p/libbt: update to 1.0.6, reviewed
Comment 15 Vinícius Zavam freebsd_committer 2018-09-01 17:06:50 UTC
Created attachment 196770 [details]
[LOG/11] net-p2p/libbt: update to 1.0.6, reviewed
Comment 16 Vinícius Zavam freebsd_committer 2018-09-01 17:08:25 UTC
This one should do it. TY
Comment 17 Nathan 2018-09-01 18:50:36 UTC
For the record I’ve had someone tell me not to attach poudriere logs as it fills storage. Other than that patch looks good
Comment 18 Yuri Victorovich freebsd_committer 2018-09-01 19:33:39 UTC
Committed with changes.
Thank you, Vinícius and Nathan, for working on it!
Comment 19 commit-hook freebsd_committer 2018-09-01 19:33:46 UTC
A commit references this bug:

Author: yuri
Date: Sat Sep  1 19:33:32 UTC 2018
New revision: 478718
URL: https://svnweb.freebsd.org/changeset/ports/478718

Log:
  net-p2p/libbt: Update 1.05 -> 1.06

  egypcio@googlemail.com takes maintainership

  Port changes:
  * Add DOCS option
  * Add to dependencies
  * Port cleanup

  PR:		231033
  Submitted by:	Vin?cius Zavam <egypcio@googlemail.com> (original version)
  Submitted by:	Nathan <ndowens@yahoo.com> (final version)

Changes:
  head/net-p2p/libbt/Makefile
  head/net-p2p/libbt/distinfo
  head/net-p2p/libbt/files/patch-include__util.h
  head/net-p2p/libbt/files/patch-src__udpproto.c
  head/net-p2p/libbt/pkg-plist